@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@500&display=swap");
@import url('https://fonts.googleapis.com/css2?family=Playfair:ital,opsz,wght@0,5..1200,300..900;1,5..1200,300..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

* {
    scroll-behavior: smooth;
    font-family: "Poppins", serif;
}

body {
    background-color: #ffffff;
    color: #f8f8f8;
    margin: 0;
}

hr {
    opacity: 10%;
    margin: 0;
}

header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 0 2.5rem;

}

.logo {
    width: 70px;
    height: 70px;
    margin-top: 1rem;
}

ul {
    list-style: none;
    display: flex;
    padding: 0;
    gap: 2rem;
}

ul li {
    font-size: 20px;
}

a {
    text-decoration: none;
    color: #ffffff;
    font-size: 14px;
}


a:hover {
    color: #d6d6d6;
    text-decoration: underline;
}

.burger {
    height: 50px;
    width: 50px;
    padding: 1rem;
    cursor: pointer;
    background: transparent;
    border: none;
    font-size: 35px;
    color: #e0e0e0;
    display: none;
}

.menu.showen{
    display: contents;
}

@media (max-width: 450px) {
    .menu{
        display: none;
    }

    .burger{
        display: contents;
    }

    ul{
        flex-direction: column;
        background-color: #ffffff50;
        display: flex;
        justify-content: center;
        padding: 1rem 2rem 0;
    }

    ul li{
        text-align: center;
    }

    .logo {
        width: 50px;
        height: 50px;
    }
    .herofot{
        flex-direction: column;
    }
    .herotxt{
        font-size: 12px;
    }
    .packages{
        padding: 10px;
        justify-content: center;
    }
    .hero{
        height: 135vw;
    }
}

@media (max-width: 680px) {
    
}

.hero {
    width: 100%;
    height: 110vh;
    background-image: url('assets/imgs/dmitrii-zhodzishskii-5aEHOQrb2Qk-unsplash.jpg');
    background-size:cover;
    background-repeat: no-repeat;
    filter: brightness(0.9);
}

.container {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    flex-direction: column;
    transform: translateY(-70px);
}

.herotxt {
    text-align: center;
    background: linear-gradient(to right, #ffffff65, #ffffff20);
    backdrop-filter: blur(0.8px);
    padding: 8px 40px;
    border-radius: 30px;
    white-space: pre;
    display: flex;
}

.herotxt span {
    opacity: 0;
    transform: translateY(20px);
    display: inline-block;
    animation: fadeIn 0.5s forwards;
}

@keyframes fadeIn {
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

.herotxt2 {
    text-align: center;
    margin: 1rem;
    font-size: 3.25vw;
    letter-spacing: 1px;
    animation: slideUp 1.2s ease;
    font-family:sans-serif;
    font-weight: 500;

}

.herotxt2 span{
    font-family: 'Playfair';
    font-style: italic;
    font-size: 4vw;
    font-weight: 700;
}

@keyframes slideUp {
    from {
        transform: translateY(20px);
        opacity: 0;
    }

    to {
        transform: translateY(0);
        opacity: 1;
    }
}

.herofot {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px;
    transform: translateY(-180px);
    margin: 1rem;
}

.heropartxt {
    font-size: 14px;
    text-align: left;
}

.hbtn {
    background: transparent;
    border-radius: 30px;
    width: 200px;
    height: 37px;
    border-color: #ffffff;
    border-width: 1.4px;
    border-style: double;
    color: #e0e0e0;
    font-size: 18px;
    cursor: pointer;

}

.arrow {
    width: 20px;
    height: 10px;
    filter: invert(1);
    margin: 0 8px;
}

.hbtn:hover {
    background-color: #e0e0e0;
    color: #000000;
    transition: 0.5s;

    .arrow {
        filter: invert(0);
        transition: 0.5s;
    }
}

.txts{
    display: flex;
    justify-content: space-between;
    margin: 5rem 5rem 2.5rem 5rem;
}

.left {
    font-size: 35px;
    color: #000000;
}

.left h2{
    font-weight: 500;
}

.left span{
    font-weight: 700;
    font-family: 'Playfair';
    font-style: italic;
    font-size: 65px;
}

.right{
    color: #000000;
    display: flex;
    flex-direction: column;
}

.right span{
    font-family: 'Inter';
    margin: 5rem 0 10px 0;
    font-size: 16px;
    max-width: 400px;
}

.right a{
    color: #000000;
}

.seeallarrow{
    width: 20px;
    height: 10px;
    margin: 0 8px;
    opacity: 0%;
}

.right a:hover{
    text-decoration: none;
    .seeallarrow{
        opacity: 100%;
        transition: 0.3s;
    }
}

.packages{
  display: flex;
  flex-wrap: wrap;
  gap:20px;
  justify-content: center;
}

.card{
  position:relative;
  width: 30vw;
  height:400px;
  border-radius:15px;
  overflow:hidden;
  cursor:pointer;
  min-width: 310px;
}

.card img{
  width:100%;
  height:100%;
  object-fit:cover;
}

/* gradient */
.card::after{
  content:"";
  position:absolute;
  bottom:0;
  left:0;
  width:100%;
  height:50%;
  background:linear-gradient(to top, rgba(0,0,0,0.7), transparent);
}

.overlay{
  position:absolute;
  bottom:15px;
  left:15px;
  color:white;
  z-index:2;
}

.dayacost{
    display: flex;
    justify-content: space-between;
    width: 28vw;
}

.overlay h3{
  margin: 1rem 0;
  font-size:18px;
}

.day{
    font-size: 20px;
    font: bold;
}

.dayacost span{
  font-weight:bold;
  font-size:16px;
  text-align: center;
}

/* Hover effect */
.card:hover{
  transform:scale(1.01);
  transition:0.4s;
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.5);
}


.thsec{
    background-color: rgba(243, 243, 243);
    padding: 5rem 0;
    margin: 5rem 0;
}

.sec3{
    display: flex;
    justify-content: space-between;
    margin: 2rem;
}

.sec3tx{
    color: #000000;
    margin: 0 3rem ;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.sec3tx h1{
    font-size: 60px;
    font-family: 'Inter';
    font-weight: 400;
}

.sec3tx h1 span{
    font-family: 'Playfair';
    font-style: italic;
    font-weight: 600;
}

.sec3tx p{
    font-weight: 300;
    font-size: 18px;
    max-width: 500px;
    font-family: 'Inter';
}

.bxl{
    display: flex;
    border-style: solid;
    border-radius: 30px;
    border-width: 1px;
    border-color: #000000;
    padding: 1.8rem 1rem 1rem 1rem;
    margin: 3rem;
}



.bximgw{
    border-color: #000000;
    border-radius: 36px;
    border-style:solid;
    border-width: 1px;
    margin: 0 2rem;
    padding: 0;
    width: fit-content;
    height: fit-content;
    transform: translateY(5px);
}

.bximgw img{
    width: 18px;
    height: 19px;
    margin: 1.6rem 1.6rem 1rem 1.6rem;
}

.bxtxw{
    color: #000000;
}

.bxtxw p{
    margin-right: 2rem;
}


.bxd{
    display: flex;
    border-radius: 30px;
    background-color: rgba(20, 20, 20);
    padding: 1.8rem 1rem 1rem 1rem;
    margin: 3rem;
}

.bxdani{
    animation: slideInb 0.8s ease;
}

.bximgb{
    background-color: rgba(255, 255, 255, 0.25);
    border-color: rgba(255, 255, 255, 0.005);
    border-radius: 36px;
    border-style:solid;
    border-width: 1px;
    margin: 0 2rem;
    width: fit-content;
    height: fit-content;
    transform: translateY(5px);
}

.bximgb img{
    width: 18px;
    height: 19px;
    margin: 1.5rem 1.5rem 1rem 1.5rem;
}

.bxtxb{
    color: #e0e0e0;
}

.bxtxb p{
    margin-right: 2rem;
}


@keyframes slideInb{
    from{
        transform: translateX(-40px);
        opacity: 30%;
    }
    
    to{
        transform: translateX(0);
        opacity: 100%;
    }
}

@keyframes slideInw{
    from{
        transform: translateX(40px);
        opacity: 30%;
    }
    
    to{
        transform: translateX(0);
        opacity: 100%;
    }
}


.bxl.show {
    animation: slideInw 0.8s ease forwards;
}

.bxd.show {
    animation: slideInb 0.8s ease forwards;
}




.bxl,
.bxd {
    opacity: 0;
    transform: translateY(40px);
}

